termonad-4.0.0.1: Terminal emulator configurable in Haskell

Safe Haskell | None
Language | Haskell2010

Termonad.PreferencesFile

Synopsis

- getPreferencesFile :: IO FilePath
- tmConfigFromPreferencesFile :: IO TMConfig
- writePreferencesFile :: FilePath -> ConfigOptions -> IO ()
- saveToPreferencesFile :: TMConfig -> IO ()

# Documentation

getPreferencesFile :: IO FilePath Source #

Get the path to the preferences file `~/.config/termonad/termonad.yaml`.

tmConfigFromPreferencesFile :: IO TMConfig Source #

Read the configuration for the preferences file `~/.config/termonad/termonad.yaml`. This file stores only the `options` of `TMConfig` so `hooks` are initialized with `defaultConfigHooks`. If the file doesn't exist, create it with the default values.

writePreferencesFile :: FilePath -> ConfigOptions -> IO () Source #

saveToPreferencesFile :: TMConfig -> IO () Source #

Save the configuration to the preferences file `~/.config/termonad/termonad.yaml`